{% extends 'base.html.twig' %}

{% block title %}Answer index{% endblock %}

{% block body %}
    <a href="{{ path('app_answer_new') }}" class="btn btn-primary">Start Quiz</a>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Total Score</th>
                <th>Total Unanswered</th>
                <th>Submission Date</th>
                <th>Time Used</th>
            </tr>
        </thead>
        <tbody>
        {% for answer in answers %}
            <tr>
                <td>{{ answer.id }}</td>
                <td>{{ answer.firstName }}</td>
                <td>{{ answer.lastName }}</td>
                <td>{{ answer.email }}</td>
                <td>{{ answer.totalScore }}</td>
                <td>{{ answer.totalUnanswered }}</td>
                <td>{{ answer.submittedAt ? answer.submittedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ answer.timeTaken|date('i:s', 'GMT') }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
